Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.identity
Class LDAPUserInfoImpl

    java.lang.Object
      org.jbpm.services.task.identity.AbstractUserGroupInfo
          org.jbpm.services.task.identity.LDAPUserInfoImpl

All Implemented Interfaces:
  org.kie.internal.task.api.UserInfo

    public class LDAPUserInfoImpl

extends AbstractUserGroupInfo
implements org.kie.internal.task.api.UserInfo

Field Summary
`static String` | `BIND_PWD`
`static String` | `BIND_USER`
`protected static String` | `DEFAULT_PROPERTIES_NAME`
`static String` | `EMAIL_ATTR_ID`
`static String` | `IS_ENTITY_ID_DN`
`static String` | `LANG_ATTR_ID`
`static String` | `MEMBER_ATTR_ID`
`static String` | `NAME_ATTR_ID`
`protected static String[]` | `requiredProperties`
`static String` | `ROLE_ATTR_ID`
`static String` | `ROLE_CTX`
`static String` | `ROLE_FILTER`
`static String` | `ROLE_MEMBERS_FILTER`
`static String` | `SEARCH_SCOPE`
`static String` | `USER_ATTR_ID`
`static String` | `USER_CTX`
`static String` | `USER_FILTER`

Constructor Summary
`LDAPUserInfoImpl(boolean activate)`
`LDAPUserInfoImpl(Properties config)`

Method Summary
`protected InitialLdapContext` | `buildInitialLdapContext()`
`protected String` | `extractUserId(String userDN, OrganizationalEntity entity)`
`String` | `getDisplayName(OrganizationalEntity entity)`
`String` | `getEmailForEntity(OrganizationalEntity entity)`
`String` | `getLanguageForEntity(OrganizationalEntity entity)`
`Iterator<OrganizationalEntity>` | `getMembersForGroup(Group group)`
`boolean` | `hasEmail(Group group)`
`protected int` | `parseSearchScope(String searchScope)`
`protected String` | `searchLdap(String context, String filter, String attrId, OrganizationalEntity entity)`
`protected void` | `validate()`

Methods inherited from class org.jbpm.services.task.identity.AbstractUserGroupInfo
`readProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT_PROPERTIES_NAME

    protected static final String DEFAULT_PROPERTIES_NAME

See Also:
  Constant Field Values

### BIND_USER

    public static final String BIND_USER

See Also:
  Constant Field Values

### BIND_PWD

    public static final String BIND_PWD

See Also:
  Constant Field Values

### USER_CTX

    public static final String USER_CTX

See Also:
  Constant Field Values

### ROLE_CTX

    public static final String ROLE_CTX

See Also:
  Constant Field Values

### USER_FILTER

    public static final String USER_FILTER

See Also:
  Constant Field Values

### ROLE_FILTER

    public static final String ROLE_FILTER

See Also:
  Constant Field Values

### ROLE_MEMBERS_FILTER

    public static final String ROLE_MEMBERS_FILTER

See Also:
  Constant Field Values

### EMAIL_ATTR_ID

    public static final String EMAIL_ATTR_ID

See Also:
  Constant Field Values

### NAME_ATTR_ID

    public static final String NAME_ATTR_ID

See Also:
  Constant Field Values

### LANG_ATTR_ID

    public static final String LANG_ATTR_ID

See Also:
  Constant Field Values

### MEMBER_ATTR_ID

    public static final String MEMBER_ATTR_ID

See Also:
  Constant Field Values

### USER_ATTR_ID

    public static final String USER_ATTR_ID

See Also:
  Constant Field Values

### ROLE_ATTR_ID

    public static final String ROLE_ATTR_ID

See Also:
  Constant Field Values

### IS_ENTITY_ID_DN

    public static final String IS_ENTITY_ID_DN

See Also:
  Constant Field Values

### SEARCH_SCOPE

    public static final String SEARCH_SCOPE

See Also:
  Constant Field Values

### requiredProperties

    protected static final String[] requiredProperties

Constructor Detail

### LDAPUserInfoImpl

    public LDAPUserInfoImpl(boolean activate)

### LDAPUserInfoImpl

    public LDAPUserInfoImpl(Properties config)

Method Detail

### getDisplayName

    public String getDisplayName(OrganizationalEntity entity)

  Specified by:
    `getDisplayName` in interface `org.kie.internal.task.api.UserInfo`

### getMembersForGroup

    public Iterator<OrganizationalEntity> getMembersForGroup(Group group)

  Specified by:
    `getMembersForGroup` in interface `org.kie.internal.task.api.UserInfo`

### hasEmail

    public boolean hasEmail(Group group)

  Specified by:
    `hasEmail` in interface `org.kie.internal.task.api.UserInfo`

### getEmailForEntity

    public String getEmailForEntity(OrganizationalEntity entity)

  Specified by:
    `getEmailForEntity` in interface `org.kie.internal.task.api.UserInfo`

### getLanguageForEntity

    public String getLanguageForEntity(OrganizationalEntity entity)

  Specified by:
    `getLanguageForEntity` in interface `org.kie.internal.task.api.UserInfo`

### validate

    protected void validate()

### buildInitialLdapContext

    protected InitialLdapContext buildInitialLdapContext()
                                                  throws NamingException

  Throws:
    `NamingException`

### searchLdap

    protected String searchLdap(String context,
                                String filter,
                                String attrId,
                                OrganizationalEntity entity)

### extractUserId

    protected String extractUserId(String userDN,
                                   OrganizationalEntity entity)

### parseSearchScope

    protected int parseSearchScope(String searchScope)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM :: Distribution 6.2.1-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2015 JBoss by Red Hat. All Rights Reserved.